package com.huigou.topsun.sap.wasteSale.application;


import com.huigou.topsun.sap.wasteSale.domain.WasteSaleItem;
import com.huigou.topsun.sap.wasteSale.domain.query.WasteSaleQueryRequest;

import java.util.List;
import java.util.Map;

/**
 * @Auther: xin.lu
 * @Date: 2024/03/13/19:11
 * @Description:
 */
public interface WasteSaleItemApplication {
    public static final String QUERY_XML_FILE_PATH = "config/topsun/sap/wasteSale/wasteSale.xml";
    void saveWasteSaleItems(String wasteSaleId, List<WasteSaleItem> wasteSaleItems);

    Map<String,Object> queryWasteSaleItems(WasteSaleQueryRequest queryRequest);

    void deleteByIds(List<String> ids);

    List<WasteSaleItem> findByWasteSaleId(String wasteSaleId);
}
